%def_disable snapshot
%define _name gst-shark
%define ver_major 1.20
%define api_ver 1.0

%define _gst_libdir %_libdir/gstreamer-%api_ver
%define _gtk_docdir %_datadir/gtk-doc/html

%def_disable debug

Name: %_name%api_ver
Version: 0.8.1
Release: elv.alt1

Summary: GstShark is a front-end for GStreamer traces
Group: System/Libraries
License: LGPLv2+
Url: https://github.com/RidgeRun/gst-shark

Source: %_name-%version.tar.gz
Patch1: gst_shark-Fix-callback-handler.patch

Requires: gstreamer%api_ver >= %ver_major

BuildRequires(pre): rpm-macros-meson
BuildRequires: meson
BuildRequires: gstreamer%api_ver-devel >= %ver_major
BuildRequires: gst-plugins%api_ver-devel >= %ver_major
BuildRequires: libgio-devel
BuildRequires: libgraphviz-devel
BuildRequires: libxml2-devel

%description
GstShark leverages GStreamers newest instrumentation subsystem by
installing a set of custom hooks to the trace points. A variety of
data analytics are extracted and presented to the user in a graphical,
friendly way.

%prep
%setup -n %_name-%version
%patch1 -p1

%build
%meson
%meson_build

%install
%meson_install
rm -f %buildroot/%_libdir/*.a %buildroot/%_gst_libdir/*.a

%files
%_libdir/*.so*
%_gst_libdir/*.so*
